com.sun.jna.platform.win32

## Class WinNT.ACE_HEADER

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACEStructure
    - - com.sun.jna.platform.win32.WinNT.ACE_HEADER

- Enclosing interface:
    WinNT

      public static class WinNT.ACE_HEADER
      extends WinNT.ACEStructure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

      `AceFlags, AceSize, AceType, psid`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.ACE_HEADER()`
    `WinNT.ACE_HEADER(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

      `getFieldOrder, getSID, getSidString`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinNT.ACE_HEADER

          public WinNT.ACE_HEADER()

    - #### WinNT.ACE_HEADER

          public WinNT.ACE_HEADER(Pointer p)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.